clear all
 ...
global scalv_ ex_ ex_det_ recur_ recurs_ ys_ y_ exe_ exe_det_ lgy_ lgx_ lgr_ dsmpl_ endval_
 ...
global endo_nbr exo_nbr exo_det_nbr iy_  ykmin_  ykmax_  xkmin_  xkmax_ zkmin_ zkmax_ iter_
 ...
global dynatol_ slowc_ maxit_ valf_ ys0_ recurs0_ ex0_ timing_ ct_ gstep_ Sigma_e_ fname_ lgx_orig_ord_ iter_ options_ dr_ oo_ trend_coeff_ eigenvalues_
global M_
M_.ex_det_length = 0;
M_.dname = 'growthmodel';
dsmpl_=0;
dynatol_=0.00001;
maxit_=10;
slowc_=1;
timing_=0;
ct_=0;
gstep_=1e-2;
endval_=0;rplottype_=0;
valf_=0;
y_=[];
ex_=[];
ex_det_=[];
fname_ = 'growthmodel';
logname_ = 'growthmodel.log';
diary off;
warning off;
delete growthmodel.log;
warning on;
warning backtrace;
diary growthmodel.log;
options_ = [];











global beta_p chi_p le_p delta_p el theta_p kpshr_p nu_p s_p chi0_p 
global rhon_p rhom_p 




beta_p = 0.99;


chi_p = 10;


le_p = 1/3;


delta_p = 0.025;


el = 1;
theta_p = 1;



nu_p = 0.3


rk_p = 1/beta_p -1 +delta_p;


s_p = (nu_p/rk_p)^(1/theta_p)*(delta_p);


zeta_p = (1-nu_p)*(nu_p/rk_p)^(nu_p/(1-nu_p));


gdp_p = (nu_p/rk_p)^(nu_p/(1-nu_p))*le_p;


cc_p = (1-s_p)*gdp_p;


lambda_p = 1/cc_p;


chi0_p = (1-le_p)^chi_p * lambda_p * zeta_p

rhon_p = 0.95;
rhom_p = 0.95;


lgy_ = 'cc';
lgy_ = str2mat(lgy_,'gamma');
lgy_ = str2mat(lgy_,'gdp');
lgy_ = str2mat(lgy_,'ip');
lgy_ = str2mat(lgy_,'kp');
lgy_ = str2mat(lgy_,'lambda');
lgy_ = str2mat(lgy_,'le');
lgy_ = str2mat(lgy_,'m');
lgy_ = str2mat(lgy_,'n');
lgy_ = str2mat(lgy_,'rk');
lgy_ = str2mat(lgy_,'rw');
lgx_ = 'merr';
lgx_ = str2mat(lgx_,'nerr');
lgx_orig_ord_ = [2 1];
endo_nbr = 11;
exo_nbr = 2;
exo_det_nbr = 0;
recur_nbr = 0;
iy_ = [ 0 0 0 0 1 0 0 2 3 0 0];
temp = [ 4 5 6 7 8 9 10 11 12 13 14];
iy_ = [ iy_ ; temp ];
temp = [ 0 15 0 0 0 16 0 0 0 17 0];
iy_ = [ iy_ ; temp ];
ykmin_ = 1;
ykmax_ = 1;
xkmin_ = 0;
xkmax_ = 0;
zkmin_ = 0;
zkmax_ = 0;
ys_ = zeros(11,1);
exe_ = zeros(2,1);





% INITVAL 
valf_ = 0;
endval_=0;
ys_(7)=le_p;
ys_(3)=(s_p/delta_p)^(nu_p/(1-nu_p))*le_p;
ys_(4)=(s_p*ys_(3));
ys_(1)=(ys_(3)-ys_(4));
ys_(5)=ys_(4)/delta_p;
ys_(10)=(delta_p-1+1/beta_p);
ys_(11)=(1-nu_p)*(ys_(3)/ys_(7))^theta_p;
ys_(6)=1/ys_(1);
ys_(2)=ys_(6);
ys_(9)=0;
ys_(8)=0;
y_=[ys_*ones(1,ykmin_)];
if exo_nbr > 0;
  ex_=[ones(xkmin_,1)*exe_'];
end;
if exo_det_nbr > 0;
  ex_det_=[ones(ykmin_+1,1)*exe_det_'];
end;


% (M)SHOCKS 
make_ex_;
Sigma_e_ = zeros(2,2);
Sigma_e_(2,2) = (.01)^2;
Sigma_e_(1,1) = (.01)^2;
M_.ex_det_length = 0;


check;



options_.order=1;
options_.nocorr=1;
options_.nomoments=1;
options_.irf=0;
var_list_ = [];
info=stoch_simul(var_list_);



save('growthmodel_results','oo_','dr_');
diary off
