clear all
 ...
global scalv_ ex_ ex_det_ recur_ recurs_ ys_ y_ exe_ exe_det_ lgy_ lgx_ lgr_ dsmpl_ endval_
 ...
global endo_nbr exo_nbr exo_det_nbr iy_  ykmin_  ykmax_  xkmin_  xkmax_ zkmin_ zkmax_ iter_
 ...
global dynatol_ slowc_ maxit_ valf_ ys0_ recurs0_ ex0_ timing_ ct_ gstep_ Sigma_e_ fname_ lgx_orig_ord_ iter_ options_ dr_ oo_ trend_coeff_ eigenvalues_
global M_
M_.ex_det_length = 0;
M_.dname = 'sticky';
dsmpl_=0;
dynatol_=0.00001;
maxit_=10;
slowc_=1;
timing_=0;
ct_=0;
gstep_=1e-2;
endval_=0;rplottype_=0;
valf_=0;
y_=[];
ex_=[];
ex_det_=[];
fname_ = 'sticky';
logname_ = 'sticky.log';
diary off;
warning off;
delete sticky.log;
warning on;
warning backtrace;
diary sticky.log;
options_ = [];











global alpha_p kappap_p kappaw_p beta_p chi_p le_p psik_p psii_p delta_p  ...
theta_p 
global rs_rsl_p rs_dp_p rs_gdp_p kpshr_p nu_p s_p chi0_p rhon_p rhom_p  ...
gdp_p 
global wmarkup_p dw_p dp_p zeta_p lambda_p sigma_p 




beta_p = 0.99;


chi_p = 10;


le_p = 1/3;


delta_p = 0.025;


psik_p = 0;


psii_p = 0;


alpha_p = 0.3;


rs_rsl_p = 0;
rs_dp_p = 1.5;
rs_gdp_p = 0.5;


xip_p = 0.75;


xiw_p = 0.0001;


thetaw_p = 0.1;


kappap_p = (1-beta_p*xip_p)*(1-xip_p)/xip_p;


kappaw_p = (1-beta_p*xiw_p)*(1-xiw_p)/xiw_p /( 1 + chi_p*le_p/(1-le_p)*(1+thetaw_p)/thetaw_p )




sigma_p = 1;


dp_p = 1;


dw_p =1;


rk_p = 1/beta_p -1 +delta_p;


zeta_p = (1-alpha_p)*(alpha_p/rk_p)^(alpha_p/(1-alpha_p));


s_p = (alpha_p/rk_p)*(delta_p);


gdp_p = (alpha_p/rk_p)^(alpha_p/(1-alpha_p))*le_p;


cc_p = (1-s_p)*gdp_p;


lambda_p = 1/cc_p;


chi0_p = (1-le_p)^chi_p * lambda_p * zeta_p


wmarkup_p = (((1-le_p)^(-chi_p))/lambda_p) / zeta_p




rhon_p = 0.95;
rhom_p = 0.95;



lgy_ = 'cc';
lgy_ = str2mat(lgy_,'dp');
lgy_ = str2mat(lgy_,'dw');
lgy_ = str2mat(lgy_,'gdp');
lgy_ = str2mat(lgy_,'ip');
lgy_ = str2mat(lgy_,'kp');
lgy_ = str2mat(lgy_,'lambda');
lgy_ = str2mat(lgy_,'le');
lgy_ = str2mat(lgy_,'m');
lgy_ = str2mat(lgy_,'n');
lgy_ = str2mat(lgy_,'q');
lgy_ = str2mat(lgy_,'rk');
lgy_ = str2mat(lgy_,'rs');
lgy_ = str2mat(lgy_,'rs1');
lgy_ = str2mat(lgy_,'sigma');
lgy_ = str2mat(lgy_,'wmarkup');
lgy_ = str2mat(lgy_,'zeta');
lgx_ = 'merr';
lgx_ = str2mat(lgx_,'nerr');
lgx_orig_ord_ = [2 1];
endo_nbr = 17;
exo_nbr = 2;
exo_det_nbr = 0;
recur_nbr = 0;
iy_ = [ 0 0 0 1 2 3 0 0 4 5 0 0 6 0 0 0 7];
temp = [ 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24];
iy_ = [ iy_ ; temp ];
temp = [ 0 25 26 0 27 28 29 0 0 0 30 31 0 0 0 0 0];
iy_ = [ iy_ ; temp ];
ykmin_ = 1;
ykmax_ = 1;
xkmin_ = 0;
xkmax_ = 0;
zkmin_ = 0;
zkmax_ = 0;
ys_ = zeros(17,1);
exe_ = zeros(2,1);





% INITVAL 
valf_ = 0;
endval_=0;
ys_(15)=1;
ys_(8)=le_p;
ys_(2)=dp_p;
ys_(3)=dw_p;
ys_(4)=gdp_p;
ys_(5)=(s_p*ys_(4));
ys_(1)=(ys_(4)-ys_(5));
ys_(6)=ys_(5)/delta_p;
ys_(12)=rk_p;
ys_(17)=zeta_p;
ys_(7)=lambda_p;
ys_(13)=1/beta_p-1;
ys_(14)=1/beta_p-1;
ys_(11)=1;
ys_(16)=wmarkup_p;
ys_(10)=0;
ys_(9)=0;
y_=[ys_*ones(1,ykmin_)];
if exo_nbr > 0;
  ex_=[ones(xkmin_,1)*exe_'];
end;
if exo_det_nbr > 0;
  ex_det_=[ones(ykmin_+1,1)*exe_det_'];
end;


% (M)SHOCKS 
make_ex_;
Sigma_e_ = zeros(2,2);
Sigma_e_(2,2) = (.01)^2;
Sigma_e_(1,1) = (.01)^2;
M_.ex_det_length = 0;


check;



options_.order=1;
options_.nocorr=1;
options_.nomoments=1;
options_.irf=0;
var_list_ = [];
info=stoch_simul(var_list_);



save('sticky_results','oo_','dr_');
diary off
